Bug 166 - Syntax conversion not complete
Summary: Syntax conversion not complete
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: GUI (show other bugs)
Version: 3.5.7
Hardware: PC Linux
: P3 normal
Assignee: Gerd Behrmann
URL:
Depends on:
Blocks:
 
Reported: 2005-06-24 13:50 CEST by Ferdy Hanssen
Modified: 2005-07-04 18:54 CEST (History)
0 users

See Also:
Architecture:


Attachments
Uppaal 3.4 model with a few constant definitions (839 bytes, text/xml)
2005-06-24 13:50 CEST, Ferdy Hanssen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ferdy Hanssen 2005-06-24 13:50:05 CEST
The "Edit" -> "Convert syntax" menu option forgets two convert two things:

1. Template parameters are not converted from "const name" to "const int name".

2. Lists of constants (i.e. "const a 3, b 7;") are not converted fully, only the
   first constant is converted in this case.

You can check it with the attached Uppaal 3.4 model.
Comment 1 Ferdy Hanssen 2005-06-24 13:50:46 CEST
Created attachment 45 [details]
Uppaal 3.4 model with a few constant definitions
Comment 2 Gerd Behrmann 2005-06-29 17:56:28 CEST
Confirmed. Will be fixed in 3.5.8.
Comment 3 Gerd Behrmann 2005-07-04 17:49:25 CEST
There is also a problem with integer parameters, e.g. 'int a' is not converted.
Comment 4 Gerd Behrmann 2005-07-04 17:51:05 CEST
Comma separated parameters are not handled, e.g.

clock a, b, c

is not converted to "clock &a, clock &b, clock &c".
Comment 5 Gerd Behrmann 2005-07-04 18:54:55 CEST
A fix has been checked into CVS. 

A few corner cases remain, but I added a warning telling the user that the conversion is not perfect (but it 
should be fine for most models).